LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_OTP_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_OTP_T Struct Reference
CHIP: LPC18xx/43xx OTP Controller driver

## Detailed Description

OTP Register block.

Definition at line 47 of file otp_18xx_43xx.h.

`#include "otp_18xx_43xx.h"`

## Data Fields
__IO uint32_t | OTP0_0
__IO uint32_t | OTP0_1
__IO uint32_t | OTP0_2
__IO uint32_t | OTP0_3
__IO uint32_t | OTP1_0
__IO uint32_t | OTP1_1
__IO uint32_t | OTP1_2
__IO uint32_t | OTP1_3
__IO uint32_t | OTP2_0
__IO uint32_t | OTP2_1
__IO uint32_t | OTP2_2
__IO uint32_t | OTP2_3
__IO uint32_t | OTP3_0
__IO uint32_t | OTP3_1
__IO uint32_t | OTP3_2
__IO uint32_t | OTP3_3

## Field Documentation

__IO uint32_t OTP0_0

(@ 0x40045000) OTP content

Definition at line 48 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_1

(@ 0x40045004) OTP content

Definition at line 49 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_2

(@ 0x40045008) OTP content

Definition at line 50 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_3

(@ 0x4004500C) OTP content

Definition at line 51 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_0

(@ 0x40045010) OTP content

Definition at line 52 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_1

(@ 0x40045014) OTP content

Definition at line 53 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_2

(@ 0x40045018) OTP content

Definition at line 54 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_3

(@ 0x4004501C) OTP content

Definition at line 55 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_0

(@ 0x40045020) OTP content

Definition at line 56 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_1

(@ 0x40045024) OTP content

Definition at line 57 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_2

(@ 0x40045028) OTP content

Definition at line 58 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_3

(@ 0x4004502C) OTP content

Definition at line 59 of file otp_18xx_43xx.h.

__IO uint32_t OTP3_0

(@ 0x40045030) OTP content

Definition at line 60 of file otp_18xx_43xx.h.

__IO uint32_t OTP3_1

(@ 0x40045034) OTP content

Definition at line 61 of file otp_18xx_43xx.h.

__IO uint32_t OTP3_2

(@ 0x40045038) OTP content

Definition at line 62 of file otp_18xx_43xx.h.

__IO uint32_t OTP3_3

(@ 0x4004503C) OTP content

Definition at line 63 of file otp_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/otp_18xx_43xx.h